
// qqgame_wsclient.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"		// main symbols
#include <memory>

class game_websocket_client;

class Cqqgame_wsclientApp : public CWinApp
{
public:
	Cqqgame_wsclientApp();

// Overrides
public:
	virtual BOOL InitInstance();

// Implementation

	DECLARE_MESSAGE_MAP()

private:
	std::shared_ptr<game_websocket_client> m_game_ws;
};

extern Cqqgame_wsclientApp theApp;